SystemOrganization addCategory: #WebCounter!

WAComponent subclass: #WebCounter
	instanceVariableNames: 'count'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'WebCounter'!

!WebCounter commentStamp: 'AndresAlleva 9/2/2012 08:30' prior: 0!
A counter that can count up and down.

Instance Variables:
	count	<Number>!

!WebCounter class methodsFor: 'class initialization' stamp: 'AndresAlleva 9/1/2012 23:43'!
initialize 
	"WebCounter initialize"
	
	WAAdmin register: self asApplicationAt: 'webcounter'.! !

!WebCounter methodsFor: 'actions' stamp: 'AndresAlleva 9/1/2012 23:11'!
decrese
	count := count - 1.! !

!WebCounter methodsFor: 'actions' stamp: 'AndresAlleva 9/1/2012 23:11'!
increase
	count := count + 1.! !

!WebCounter methodsFor: 'initialization' stamp: 'AndresAlleva 9/1/2012 23:09'!
initialize
	super initialize.
	count := 0.! !

!WebCounter methodsFor: 'rendering' stamp: 'AndresAlleva 9/1/2012 23:49'!
renderContentOn: html 
	html heading: count.
	html anchor 
		callback: [self increase]; 
		with: '++'.
	html space.
	html anchor 
		callback: [self decrese];
		with: '--'.! !
WebCounter initialize!
